Loading...
Searching...
No Matches
dolfin::CoordinateMatrix Class Reference

Coordinate sparse matrix. More...

`#include <CoordinateMatrix.h>`

## Public Member Functions

| CoordinateMatrix (const GenericMatrix &A, bool symmetric, bool base_one)
| Constructor.
virtual | ~CoordinateMatrix ()
| Destructor.
std::size_t | size (std::size_t dim) const
const std::vector< std::size_t > & | rows () const
| Get row indices.
const std::vector< std::size_t > & | columns () const
| Get column indices.
const std::vector< double > & | values () const
| Get values.
double | norm (std::string norm_type) const
| Return norm of matrix.
MPI_Comm | mpi_comm () const
| Get MPI_Comm.
bool | base_one () const
| Whether indices start from 0 (C-style) or 1 (FORTRAN-style).

## Detailed Description

Coordinate sparse matrix.

## Member Function Documentation

## size()

std::size_t dolfin::CoordinateMatrix::size | ( | std::size_t | dim | ) | const

inline

Size

Parameters

  dim | (std::size_t) Dimension (0 or 1)

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/la/CoordinateMatrix.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/la/CoordinateMatrix.cpp